import { Request as ExpressRequest, Response as ExpressResponse } from "express";
import { stringify } from "querystring";
import { OAuth2 } from "src/util";
import { ENVIRONMENT } from "src/environment";

export const get = async (req: ExpressRequest, res: ExpressResponse): Promise<void> => {
    res.redirect(OAuth2.getAuthUrl({
        client_id: ENVIRONMENT.clientId,
        redirect_url: ENVIRONMENT.redirectUrl,
        response_type: "code",
        scope: "identify",
    }));
};
